Bug 112806 - USB sync with PDA causes kernel crash
USB sync with PDA causes kernel crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-01 20:24 EST by Beth Johnson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of /var/log/messages (4.03 KB, text/plain)
2004-01-20 09:27 EST, Beth Johnson
no flags Details

  None (edit)
Description Beth Johnson 2004-01-01 20:24:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Having previously enjoyed USB hot-syncing with my Sony Clie under Red
Hat 9, after upgrading to Fedora Core 1 (2.4.22-1.2115.nptl kernel)
I'm suffering kernel crashes during attempted syncs.

I've included the output from tail -f /var/log/messages.  It's not
very long so I've just put it into the additional information box.

Version-Release number of selected component (if applicable):
2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1. connect Clie to USB hotsync cable (set up in Red Hat 9 and
confirmed good)
2. initiate hotsync from Clie's interface
3. watch kernel crash when the connection times out
    

Actual Results:  Kernel crashes, sync not completed.

Expected Results:  PDA device syncs properly and without crashing the
kernel.

Additional info:

SLOBBIT kernel: hub.c: new USB device 00:1f.2-1, assigned address 3
SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 /
Clie4.x converter detected
SLOBBIT kernel: usb-uhci.c: interrupt, status 2, frame# 738
SLOBBIT kernel: usb_control/bulk_msg: timeout
SLOBBIT kernel: visor.c: visor_startup - error -110 getting connectioninfo
SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 /
Clie4.x converter now attached to ttyUSB0 (or usb/tts/0 for devfs)
SLOBBIT kernel: usbserial.c: Handspring Visor / Treo / Palm 4.0 /
Clie4.x converter now attached to ttyUSB1 (or usb/tts/1 for devfs)
SLOBBIT kernel: usb-uhci.c: interrupt, status 3, frame# 251
SLOBBIT usb.agent[6388]: missing kernel or user mode driver visor
SLOBBIT kernel: usb-uhci.c: interrupt, status 2, frame# 1102
SLOBBIT kernel: usb_control/bulk_msg: timeout
SLOBBIT kernel: usb_control/bulk_msg: timeout
SLOBBIT kernel: visor.c: Bytes In = 2181  Bytes Out = 669
SLOBBIT kernel: usb-uhci.c: interrupt, status 3, frame# 1830
SLOBBIT kernel: usb.c: USB disconnect on device 00:1f.2-1 address 3
SLOBBIT kernel: visor.c: Bytes In = 42  Bytes Out = 0
SLOBBIT kernel: Unable to handle kernel NULL pointer dereference
atvirtual address 00000998
SLOBBIT kernel:  printing eip:
SLOBBIT kernel: e09a26bc
SLOBBIT kernel: *pde = 1f55e067
SLOBBIT kernel: *pte = 00000000
SLOBBIT kernel: Oops: 0002
SLOBBIT kernel: visor usbserial emu10k1 ac97_codec sound
soundcoreide-cd cdrom parport_pc lp parport autofs nfs lockd sunrpc
tulip floppysg scsi_mod microcode nls_iso8859-1
SLOBBIT kernel: CPU:    0
SLOBBIT kernel: EIP:    0060:[<e09a26bc>]    Not tainted\
SLOBBIT kernel: EFLAGS: 00010246
SLOBBIT kernel:
SLOBBIT kernel: EIP is at usb_serial_disconnect [usbserial]
0x6c(2.4.22-1.2129.nptl)
SLOBBIT kernel: eax: 00000000   ebx: cd44086c   ecx: 00000000  
edx:00000000
SLOBBIT kernel: esi: cd440888   edi: 00000001   ebp: cd440800  
esp:db999f14
SLOBBIT kernel: ds: 0068   es: 0068   ss: 0068
SLOBBIT kernel: Process khubd (pid: 81, stackpage=db999000)
SLOBBIT kernel: Stack: cd440888 00000000 00000064 e09a44e0
e09a44c000000000 d17cc400 e083c32f
SLOBBIT kernel:        cb682200 cd440800 cb682204 00000003
00000000cb682200 00000100 0000000a
SLOBBIT kernel:        df2d8200 00000000 e083f260 df2d830c
0000000100000010 df2d8200 e083ec8c
SLOBBIT kernel: Call Trace:   [<e09a44e0>] usb_serial_driver
[usbserial]0x20 (0xdb999f20)
SLOBBIT kernel: [<e09a44c0>] usb_serial_driver [usbserial] 0x0(0xdb999f24)
SLOBBIT kernel: [<e083c32f>] usb_disconnect_R66c7d0ec [usbcore]
0x9f(0xdb999f30)
SLOBBIT kernel: [<e083f260>] usb_hub_port_connect_change [usbcore]
0x270(0xdb999f5c)
SLOBBIT kernel: [<e083ec8c>] usb_hub_port_status [usbcore]
0x6c(0xdb999f70)
SLOBBIT kernel: [<e083f558>] usb_hub_events [usbcore] 0x2e8 (0xdb999f90)
SLOBBIT kernel: [<e083f5f5>] usb_hub_thread [usbcore] 0x45 (0xdb999fbc)
SLOBBIT kernel: [<e083f5b0>] usb_hub_thread [usbcore] 0x0 (0xdb999fc4)
SLOBBIT kernel: [<e083f5b0>] usb_hub_thread [usbcore] 0x0 (0xdb999fe0)
SLOBBIT kernel: [<c010734d>] kernel_thread_helper [kernel] 0x5(0xdb999ff0)
SLOBBIT kernel: Code: 89 90 98 09 00 00 8d 4e 58 ff 43 74 0f 8e b5 04
0000 0f b6
Comment 1 Hugo van der Kooij 2004-01-07 17:57:48 EST
The 2.4.23 kernel contains some fixes into:
drivers/usb/serial/usbserial.c
drivers/usb/serial/usbserial.h
drivers/usb/serial/visor.c

This has been verified with Greg Kroah-Hartman (the author of this
piece of code) and confirmed to work very well by testing of my own on
a custom kernel on Red Hat Linux 8.

I assume that rolling a patch for Fedora Core 1 kernels would be
advisable.

Otherwise people will have to roll their own patches and patch the
kernels sources to get the same effect.

Comment 2 Dave Jones 2004-01-07 19:02:43 EST
A bunch of these got merged into the latest errata kernel.
Comment 3 Hugo van der Kooij 2004-01-12 05:10:11 EST
Upgrade at the end of last week with the latest kernel:
Linux aragorn.hugo.vanderkooij.org 2.4.22-1.2140.nptl #1 Tue Jan 6
20:20:43 EST 2004 i686 i686 i386 GNU/Linux

Did a full backup and it crashed at the exact spot it crashed before I
had imported the 2.4.23-pre7 fixes into my own 2.4.22 kernel. Endingmy
syslog with:
Jan 12 11:00:12 aragorn kernel: usb_control/bulk_msg: timeout 
Jan 12 11:00:15 aragorn kernel: usb_control/bulk_msg: timeout 
Jan 12 11:00:15 aragorn kernel: visor.c: Bytes In = 26134630  Bytes
Out = 423436Jan 12 11:01:30 aragorn kernel: usb.c: USB disconnect on
device 00:02.2-1 address 2 
Jan 12 11:01:30 aragorn kernel: usbserial.c: Handspring Visor / Treo /
Palm 4.0 / Clie 4.x converter now disconnected from ttyUSB0 
Jan 12 11:01:30 aragorn kernel: usbserial.c: Handspring Visor / Treo /
Palm 4.0 / Clie 4.x converter now disconnected from ttyUSB1

Unfortunatly not all relevant patches where included to fix USB
synchronisation.
Comment 4 Hugo van der Kooij 2004-01-12 05:25:52 EST
Did some manual verification.
I could find the changes from drivers/usb/serial/usbserial.c
But failed to find the changes from drivers/usb/serial/usb-serial.h
Comment 5 Hugo van der Kooij 2004-01-17 16:30:50 EST
Ouch.

Just did some testing with the latest kernel:
Linux aragorn.hugo.vanderkooij.org 2.4.22-1.2149.nptl #1 Wed Jan 7
13:08:26 EST 2004 i686 i686 i386 GNU/Linux

And it still bombed out. Details identical to comment #3.
Comment 6 Hugo van der Kooij 2004-01-17 16:33:09 EST
And just for the record.

All my testing is done with my Palm Tungsten E.

Perhaps you can contact Greg about the fixes and see if he can verify
the needed patches are correctly applied. I found him rather helpfull
when I ran into problems with my own build kernel.
Comment 7 Pete Zaitcev 2004-01-19 23:31:53 EST
Beth, you are allowing Hugo to hijack your bug.
I need your confirmations.
Comment 8 Beth Johnson 2004-01-20 09:27:57 EST
Created attachment 97121 [details]
Output of /var/log/messages

Shows an unsuccessful then a successful sync attempt.
Comment 9 Beth Johnson 2004-01-20 09:36:35 EST
I've done the kernel updates so now I'm running 2.4.22-1.2140.nptl and
the log/messages output I attached above reflect that kernel.

I no longer get kernel crashes, but sync is successful only very
sporadically.
Comment 10 Pete Zaitcev 2004-04-06 01:51:37 EDT
Please test a kernel from this place:
 ftp://people.redhat.com/zaitcev/us3/
It's RHEL kernel, but should work fine for FC1
Comment 11 Hugo van der Kooij 2004-04-12 10:36:40 EDT
Just curious with what exact syntax I should add this kernel to the
list of existing kernels? I rather do not loose them as I happen to
known how they operate and would like to keep them available.
Comment 12 David Lawrence 2004-09-29 15:55:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.